{ pkgs, ... }:
let
  profile = import ../profile.nix;
in
{

  imports = [
    ./browser.nix
    ./planner.nix
    ./window-manager.nix
    ../applications/matrix.nix
  ];

  environment.systemPackages = with pkgs; [
    kitty
    pamixer
    nemo-with-extensions
  ];

  services.dbus.enable = true;
  programs.dconf.enable = true;
  hardware.graphics.enable = true;

  programs.regreet = {
    enable = true;

    theme = {
      package = pkgs.adw-gtk3;
      name = "adw-gtk3";
    };

    settings = {
      dark_mode = true;
      clock = true;
      greeting_message = "Hello Nina";
    };
  };

  services.greetd = {
    enable = true;
    settings = {
      default_session = {
        command = "${pkgs.cage}/bin/cage -s -- ${pkgs.regreet}/bin/regreet";
      };
    };
  };

  xdg.portal = {
    enable = true;
    extraPortals = [ pkgs.xdg-desktop-portal-hyprland ];
  };

  hardware.nvidia = {
    modesetting.enable = true;
    powerManagement.enable = false;
    open = false;
  };

  systemd.targets.sleep.enable = false;
  systemd.targets.suspend.enable = false;
  systemd.targets.hibernate.enable = false;
  systemd.targets.hybrid-sleep.enable = false;
}
